/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/candidatefurthered.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/candidatefurthered.xml',
'<View deleteAllowed="true" title="Candidate further details" defaultFormHandler="xxas_applicant_pkg.save_application_form">

  <CreateFields>
    <Hidden id="ATTENDANCE_ID" valueGenerator="SEQUENCE:PER_ESTAB_ATTENDANCES_S"/>
    <TextInput id="ESTABLISHMENT" label="Name of College or University" required="true"/>
    <TextInput id="ADDRESS" label="Location" required="true"/>
    <Hidden id="QUALIFICATION_ID" valueGenerator="SEQUENCE:PER_QUALIFICATIONS_S"/>
    <Poplist id="QUALIFICATION_TYPE_ID" label="Qualification Obtained" required="true" listProvider="VALUE_SET_NAME:Applaud Candidate Further Ed Qualification Types"/>
    <TextInput id="QUALIFICATION_TITLE" label="Subject" required="true"/>
    <Date id="AWARDED_DATE" label="Date Received"/>
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/candidatefurthered.xml');
END;
/
COMMIT;
EXIT;
